Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Rasmus <[email-masked]>
Date: Fri, 22 May 2015 17:16:41 +0200

Clément Pit--Claudel <[email-masked]> writes:

> Some Unicode characters incorrectly increase the height of the line on which
> they are inserted, by an incorrect amount (typically 4/5 times the normal line
> height). This is due to Emacs falling back to a font for which line height
> calculations are incorrect. The problem can generally be reproduced just by
> inputing the following characters:
>
>   (𝓝𝓟)
>
> Alternatively, the problem can be reproduced by switching to certain
> specific fonts. For example:
>
>   (set-frame-font "-unknown-Latin Modern Math-normal-normal-normal-*-*-*-*-*-*-0-iso10646-1" nil nil)

It would be great if this "bug" could be fixed somehow.

As a workaround, I have found that XITS Math behaves nicely.  I have
something like this in my init (much simplified).

(mapc (lambda (set)
        (set-fontset-font set 'mathematical  (font-spec :family "XITS Math") nil 'append)
        (set-fontset-font set 'symbol  (font-spec :family "DejaVu Sans Mono") nil 'prepend))
      '("fontset-startup" "fontset-default"))

—Rasmus

-- 
I almost cut my hair, it happened just the other day